main:
  output_dir: .pytest_output/
  # debug_mode: true
  calc_name: pytest_full_3D
  append_datetime: true
  logfile: false
  nr_frames: 200
  n_gridpoints: 16
  n_dimensions: 3
  n_states: 4

# Analytical potential definitions
analytical_system:
  # Potential parameters
  gmin: -2.0  angstrom
  gmax: 2.0   angstrom
  omega:   0.175      eV
  en_gs:   0.0     eV
  en_es:   2.0     eV
  pos_gs: 0.0     angstrom
  pos_es: 0.2     angstrom
  mass: 3672.0 amu
  # Transition dipoles
  trans_dipole: &mu
    0->1: 1.0
    # 0->2: 1.0 // Removed for speed
    0->3: 1.0

time:
  t_init: -30.0 fs
  t_final: 30.0 fs
  n_dt: 50

observables:
  total_energy: {}
  position: {}
  momentum: {}
  spectrum_correlation: {}
  spectrum_polarisation:
    field_idx: 0
    triangle: true

jcouplings:
  j_coupling: 0.1 eV
  pairs: ["1,2", "2,3"]

static_energy_shift:
  state: 1
  delta: 0.175 eV

fields:
  - &npfield
    sigma: 10       fs
    e_0: 3e9        V/m
    omega: 2.2      eV
    t_central: 0.0  fs
    mu: *mu

perturbation:
  - field: *npfield
    included_diag: [1, 2]
    sigma_off: 3.0
    amplitude_diag: 5.0
    amplitude_od: 5.0
    decay: exponential
    phase: -0.25
    np_dr: 5 angstrom
    np_r0: 4 angstrom
    np_decay: 0.6 1/angstrom

legacy_perturbation:
  state: 1
  sigma_on: 5 fs
  sigma_off: 5 fs
  time_on: -10 fs
  time_off: 10 fs
  amplitude: 0.175 eV

# Coupling to a nanoparticle
wavefunction:
  itp_requested: true
  itp_states: 2
  itp_thresh: 1.0e-12 Eh
  itp_relax_states: 0
  rtp_init_states: 0
  init_position: 0.0 angstrom
  init_sigma:    0.1 angstrom

